=== Exceptions

Branches in an `if` chain or `switch` statement that have a _simple_ body are ignored. A body is considered simple if it contains a single line of code, possibly followed by a `break` in the case of `switch` statements.

[source,cpp]
----
if (a == 1) {
  doSomething();  // Compliant, usually this is done on purpose to increase the readability
} else if (a == 2) {
  doSomethingElse();
} else {
  doSomething();
}
----